import { Status } from "../../DataFrame";
import { FieldChangeResult } from "../FieldChangeResult";
import { IChannelsGroup, IChannelsGroupsService } from "./IChannelsGroupsService";
import { IDeviceChannel } from "./IDeviceChannel";
export declare class ChannelsGroupsService implements IChannelsGroupsService {
    private _serviceName;
    private _connection;
    private _synchronized;
    private _synchronizationTaskCompletionSource;
    private _groups;
    constructor();
    GetServiceName(): string;
    WaitForSynchronizationAsync(): Promise<void>;
    GetGroupByGuid(guid: string): IChannelsGroup | null;
    ChangeGroupNameAsync(group: IChannelsGroup, name: string): Promise<FieldChangeResult>;
    RemoveGroupAsync(group: IChannelsGroup): Promise<Status>;
    GetGroupsAsync(): Promise<IChannelsGroup[]>;
    AddDeviceChannelToGroupAsync(channel: IDeviceChannel, group: IChannelsGroup): Promise<Status>;
    RemoveDeviceChannelFromGroupAsync(channel: IDeviceChannel, group: IChannelsGroup): Promise<Status>;
    AddNewGroupAsync(group: IChannelsGroup): Promise<Status>;
}
